# DDQ_Tkinter

DDQ_Tkinter 是一个基于 Python 的 Tkinter 扩展库，旨在提供更多现代化和易用的界面组件，以便于开发者构建更复杂和美观的桌面应用。这个库封装了一系列常用的组件，如表单、按钮组、卡片视图、布局分割等，使得界面布局和事件处理更为简便。

## 主要组件

1. **Form** - 提供表单管理，支持多种输入控件和数据绑定。
2. **Card** - 卡片容器，用于展示内容区块。
3. **SplitLayout** - 分割布局，目前仅支持左右分割布局。
4. **Table** - 表格显示和数据操作。
5. **ButtonGroup** - 按钮组，用于组织多个按钮并提供统一的事件处理。
6. **Text** - 文本显示，支持基本的文本操作。
7. **TextArea** - 多行文本输入框。

## 特点

- **易用性**：提供高级抽象，简化 Tkinter 的使用难度。
- **扩展性**：组件设计允许灵活的扩展和自定义。
- **样式统一**：组件风格统一，便于构建协调一致的用户界面。

## 使用场景

DDQ_Tkinter 适用于需要快速开发桌面应用的场景，特别是在需要良好用户交互和界面布局的应用程序中。通过使用这个库，开发者可以减少大量的界面代码编写工作，更专注于业务逻辑的实现。

## 示例代码

在提供的 `form_demo.py` 文件中，展示了如何使用这些组件构建一个具有表单输入、按钮操作和数据展示的简单应用。代码中包含了表单的创建、数据绑定、事件处理等关键步骤，是理解和学习 DDQ_Tkinter 的好例子。

如果需要进一步了解或修改这些组件的实现，可以查看 `ddq_widgets` 目录下的各个 Python 文件，这些文件中定义了各个组件的具体实现细节。